Part Ellipsoid: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Marked this version for translation)
 
(10 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{UnfinishedDocu{{#translation:}}}}
<translate>
<translate>


Line 12: Line 11:
|IconC=Workbench_Part.svg
|IconC=Workbench_Part.svg
}}
}}



<!--T:1-->
<!--T:1-->
Line 19: Line 17:
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Ellipsoid
|MenuLocation=Part → [[Part_Primitives|Create primitives]] → Ellipsoid
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|Workbenches=[[Part_Workbench|Part]], [[OpenSCAD_Workbench|OpenSCAD]]
|SeeAlso=[[Part_Primitives|Part Create primitives]]
|SeeAlso=[[Part_Primitives|Part Primitives]]
}}
}}


Line 25: Line 23:


<!--T:18-->
<!--T:18-->
A [[Image:Part_Ellipsoid.svg|24px]] '''Part Ellipsoid''' is a parametric solid that can be created with the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Part Primitives]] command. In the coordinate system defined by its {{PropertyData|Placement}} property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.
The [[Image:Part_Ellipsoid.svg|24px]] [[Part_Ellipsoid|Part Ellipsoid]] command creates a parametric ellipsoid solid.


<!--T:25-->
FreeCAD creates an ellipsoid, each side with an equal length of 10 millimetre.
A Part Ellipsoid can be truncated at the top and/or bottom by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties. It can be turned into a segment of an ellipsoid by changing its {{PropertyData|Angle3}} property.


</translate>
By default, the box is positioned with the lower left corner at the origin (0,0,0). The bottom of the cube is on the xy-plane. Its extension in x, y and z direction follows the positive axis values.
[[Image:Part_Ellipsoid_Example.png|400px]]

<translate>
[[File:Part Ellipsoid Example.png|Screenshot of a Part Ellipsoid with default values]]


== Usage == <!--T:19-->
== Usage == <!--T:19-->


<!--T:20-->
<!--T:26-->
See [[Part_Primitives#Usage|Part Primitives]].
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Part_Primitives.svg|16px]] [[Part Primitives|Create Primitives...]]}} button.
#* Select the {{MenuCommand|Part → Create Primitives → [[Image:Part_Primitives.svg|16px]] Create Primitives...}} option from the menu.
#* Select the {{MenuCommand|[[Image:Part_Ellipsoid.svg|16px]] Ellipsoid}} option from the menu.
# Set options and press {{Button|Create}}.
# To close the dialog press {{Button|Close}}.


== Example ==
== Example == <!--T:27-->


<!--T:28-->
[[File:Part Ellipsoid Scripting Example.png|thumb|Part Ellipsoid scripting example.]]
[[Image:Part_Ellipsoid_Scripting_Example.png|thumb|Part Ellipsoid from the scripting example]]


<!--T:29-->
A Part Ellipsoid object with the values of the bottom scripting example are shown here.
A Part Ellipsoid object created with the [[#Scripting|scripting example]] below is shown here.


== Properties == <!--T:3-->


==Properties== <!--T:3-->
<!--T:30-->
See also: [[Property_editor|Property editor]].


<!--T:15-->
<!--T:31-->
A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* Radius1, by default the minor radius parallel to the Z-axis,
* Radius2, by default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
* Radius3, by default the major radius parallel to the YZ plane, it is also the maximum radius of the angular cross section
* Angle1, lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
* Angle2, upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
* Angle3, angle of rotation of the elliptical cross section (360 degrees in a full spheroid)


=== Data === <!--T:32-->


<!--T:17-->
<!--T:33-->
{{TitleProperty|Attachment}}
[[Image:Part_Ellipsoid_screenshot.jpg]]


<!--T:34-->
The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


<!--T:35-->
== Properties ==
{{TitleProperty|Ellipsoid}}


<!--T:36-->
See also: [[Property_editor|Property editor]].
* {{PropertyData|Radius1|Length}}: The radius of the ellipsoid in its Z direction. The default is {{Value|2mm}}.

* {{PropertyData|Radius2|Length}}: The radius of the ellipsoid in its X direction. The default is {{Value|4mm}}.
A Part Ellipsoid object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|Radius3|Length}}: The radius of the ellipsoid in its Y direction. The default is {{Value|4mm}}.

* {{PropertyData|Angle1|Angle}}: The start angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt;&#61; value &lt; 90°}}. Must be smaller than {{PropertyData|Angle2}}. The default is {{Value|-90°}}.
=== Data ===
* {{PropertyData|Angle2|Angle}}: The end angle of the elliptical sides of the ellipsoid. Valid range: {{Value|-90° &lt; value &lt;&#61; 90°}}. Must be larger than {{PropertyData|Angle1}}. The default is {{Value|90°}}. If the total angle of the elliptical sides is smaller than {{Value|180°}} the ellipsoid will be truncated and have a flat face at the top and/or bottom.

* {{PropertyData|Angle3|Angle}}: The total angle of the ellipsoid in its XY plane. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of an ellipsoid.
{{TitleProperty|Ellipsoid}}


== Scripting == <!--T:37-->
*{{PropertyData|Radius1|Length}}: By default the minor radius parallel to the Z-axis,
*{{PropertyData|Radius2|Length}}: By default the major radius parallel to the XY plane, it is also the maximum radius of the circular cross section
*{{PropertyData|Radius3|Length}}: By default the major radius parallel to the YZ plane, it is also the maximum radius of the angular cross section
*{{PropertyData|Angle1|Angle}}: Lower truncation of the ellipsoid, parallel to the circular cross section (-90 degrees in a full spheroid)
*{{PropertyData|Angle2|Angle}}: Upper truncation of the ellipsoid, parallel to the circular cross section (90 degrees in a full spheroid)
*{{PropertyData|Angle3|Angle}}: Angle of rotation of the elliptical cross section (360 degrees in a full spheroid)


<!--T:38-->
==Scripting==
See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:39-->
A Part Ellipsoid is created with the {{Incode|addObject()}} method of the document.
A Part Ellipsoid can be created with the {{Incode|addObject()}} method of the document:


</translate>
</translate>
Line 92: Line 86:
<translate>
<translate>


<!--T:40-->
* Where {{Incode|myEllipsoid}} is the name for the object. The name must be unique for the entire document.
* Where {{Incode|"myEllipsoid"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.


<!--T:41-->
The {{Incode|Label}} is the user editable name for the object. It can be easily changed by
Example:


</translate>
</translate>
{{Code|code=
{{Code|code=
import FreeCAD as App
ellipsoid.Label = "new myEllipsoidName"
}}
<translate>


doc = App.activeDocument()
You can access and modify attributes of the {{Incode|ellipsoid}} object. For example, you may wish to modify the three radii and the three angles of the ellipsoid.


ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
</translate>
{{Code|code=
ellipsoid.Radius1 = 2
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius2 = 4
Line 113: Line 106:
ellipsoid.Angle2 = 50
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()
}}
}}
<translate>
<translate>


The result will be a part of an ellipsoid.

You can change its placement and orientation with:

</translate>
{{Code|code=
ellipsoid.Placement = FreeCAD.Placement(FreeCAD.Vector(1, 2, 3), FreeCAD.Rotation(15, 0, 20))
}}
<translate>


<!--T:24-->
<!--T:24-->
Line 137: Line 124:


</translate>
</translate>
{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 10:07, 3 March 2022

Part Ellipsoid

Menu location
Part → Create primitives → Ellipsoid
Workbenches
Part, OpenSCAD
Default shortcut
None
Introduced in version
-
See also
Part Primitives

Description

A Part Ellipsoid is a parametric solid that can be created with the Part Primitives command. In the coordinate system defined by its DataPlacement property, the axes of the ellipsoid are aligned with the X, Y and Z axes, and therefore its center is positioned at the origin.

A Part Ellipsoid can be truncated at the top and/or bottom by changing its DataAngle1 and/or DataAngle2 properties. It can be turned into a segment of an ellipsoid by changing its DataAngle3 property.

Usage

See Part Primitives.

Example

Part Ellipsoid from the scripting example

A Part Ellipsoid object created with the scripting example below is shown here.

Properties

See also: Property editor.

A Part Ellipsoid object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Ellipsoid

  • DataRadius1 (Length): The radius of the ellipsoid in its Z direction. The default is 2mm.
  • DataRadius2 (Length): The radius of the ellipsoid in its X direction. The default is 4mm.
  • DataRadius3 (Length): The radius of the ellipsoid in its Y direction. The default is 4mm.
  • DataAngle1 (Angle): The start angle of the elliptical sides of the ellipsoid. Valid range: -90° <= value < 90°. Must be smaller than DataAngle2. The default is -90°.
  • DataAngle2 (Angle): The end angle of the elliptical sides of the ellipsoid. Valid range: -90° < value <= 90°. Must be larger than DataAngle1. The default is 90°. If the total angle of the elliptical sides is smaller than 180° the ellipsoid will be truncated and have a flat face at the top and/or bottom.
  • DataAngle3 (Angle): The total angle of the ellipsoid in its XY plane. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of an ellipsoid.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Ellipsoid can be created with the addObject() method of the document:

ellipsoid = FreeCAD.ActiveDocument.addObject("Part::Ellipsoid", "myEllipsoid")
  • Where "myEllipsoid" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

ellipsoid = doc.addObject("Part::Ellipsoid", "myEllipsoid")
ellipsoid.Radius1 = 2
ellipsoid.Radius2 = 4
ellipsoid.Radius3 = 6
ellipsoid.Angle1 = -90
ellipsoid.Angle2 = 50
ellipsoid.Angle3 = 300
ellipsoid.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(15, 0, 20))

doc.recompute()